Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.patterns
Class FunctionPattern

    java.lang.Object
      |
      +--org.apache.xpath.Expression
            |
            +--org.apache.xpath.patterns.NodeTest
                  |
                  +--org.apache.xpath.patterns.StepPattern
                        |
                        +--org.apache.xpath.patterns.FunctionPattern

public class FunctionPattern
extends StepPattern

**For advanced use only** Match pattern step that contains a function.

See Also:
  Serialized Form

Fields inherited from class org.apache.xpath.patterns.NodeTest
`SCORE_NODETEST, SCORE_NONE, SCORE_NSWILD, SCORE_OTHER, SCORE_QNAME, SHOW_BYFUNCTION, SUPPORTS_PRE_STRIPPING, WILD`

Constructor Summary
`FunctionPattern(Expression expr, int axis, int predaxis)` Construct a FunctionPattern from a expression.

Method Summary
`void` | `calcScore()` Static calc of match score.
`XObject` | `execute(XPathContext xctxt)` Test a node to see if it matches the given node test.
`XObject` | `execute(XPathContext xctxt, int context)` Test a node to see if it matches the given node test.
`XObject` | `execute(XPathContext xctxt, int context, DTM dtm, int expType)` Test a node to see if it matches the given node test.
`void` | `fixupVariables(java.util.Vector vars, int globalsSize)` This function is used to fixup variables from QNames to stack frame indexes at stylesheet build time.

Methods inherited from class org.apache.xpath.patterns.StepPattern
`calcTargetString, callVisitors, canTraverseOutsideSubtree, deepEquals, getAxis, getExpression, getLastPos, getMatchScore, getPredicate, getPredicateCount, getPredicates, getProximityPosition, getRelativePathPattern, getTargetString, setAxis, setExpression, setPredicates, setRelativePathPattern, toString`

Methods inherited from class org.apache.xpath.patterns.NodeTest
`debugWhatToShow, getDefaultScore, getLocalName, getNamespace, getNodeTypeTest, getStaticScore, getWhatToShow, initNodeTest, initNodeTest, setLocalName, setNamespace, setStaticScore, setWhatToShow`

Methods inherited from class org.apache.xpath.Expression
`asIterator, asIteratorRaw, asNode, assertion, bool, error, execute, executeCharsToContentHandler, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getColumnNumber, getExpressionOwner, getLineNumber, getPublicId, getSystemId, isNodesetExpr, isStableNumber, num, warn, xstr`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FunctionPattern

    public FunctionPattern(Expression expr,
                           int axis,
                           int predaxis)

  Construct a FunctionPattern from a expression.
  Parameters:
    `a` - should be a expression. NEEDSDOC @param expr

Method Detail

### calcScore

    public final void calcScore()

  Static calc of match score.
  Overrides:
    calcScore in class StepPattern

### fixupVariables

    public void fixupVariables(java.util.Vector vars,
                               int globalsSize)

  This function is used to fixup variables from QNames to stack frame indexes at stylesheet build time.
  Parameters:
    `vars` - List of QNames that correspond to variables. This list should be searched backwards for the first qualified name that corresponds to the variable reference qname. The position of the QName in the vector from the start of the vector will be its position in the stack frame (but variables above the globalsTop value will need to be offset to the current stack frame).
  Overrides:
    fixupVariables in class StepPattern

### execute

    public XObject execute(XPathContext xctxt,
                           int context)
                    throws TransformerException

  Test a node to see if it matches the given node test.
  Parameters:
    `xctxt` - XPath runtime context.
  Returns:
    `NodeTest.SCORE_NODETEST`, `NodeTest.SCORE_NONE`, `NodeTest.SCORE_NSWILD`, `NodeTest.SCORE_QNAME`, or `NodeTest.SCORE_OTHER`.
  Throws:
    TransformerException -
  Overrides:
    execute in class StepPattern

### execute

    public XObject execute(XPathContext xctxt,
                           int context,
                           DTM dtm,
                           int expType)
                    throws TransformerException

  Test a node to see if it matches the given node test.
  Parameters:
    `xctxt` - XPath runtime context.
  Returns:
    `NodeTest.SCORE_NODETEST`, `NodeTest.SCORE_NONE`, `NodeTest.SCORE_NSWILD`, `NodeTest.SCORE_QNAME`, or `NodeTest.SCORE_OTHER`.
  Throws:
    TransformerException -
  Overrides:
    execute in class StepPattern

### execute

    public XObject execute(XPathContext xctxt)
                    throws TransformerException

  Test a node to see if it matches the given node test.
  Parameters:
    `xctxt` - XPath runtime context.
  Returns:
    `NodeTest.SCORE_NODETEST`, `NodeTest.SCORE_NONE`, `NodeTest.SCORE_NSWILD`, `NodeTest.SCORE_QNAME`, or `NodeTest.SCORE_OTHER`.
  Throws:
    TransformerException -
  Overrides:
    execute in class StepPattern

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.